body ,
.navbar {
  overflow-x: hidden; /* evitar scroll horizontal */
  transition: margin-right 0.4s ease, padding-right 0.4s ease;
}


#video-panel {
  position: fixed;
  top: 0;
  right: -500px; /* oculto por defecto */
  width: 500px;
  height: 100dvh;
  background: rgba(0,0,0,0.8);
  transition: right 0.4s ease;
  z-index: 9999;
  display: flex;
  flex-direction: column;
}

#video-panel iframe {
  flex: 1;
  width: 100%;
  border: none;
  position: relative;
}

#video-panel #close-video {
  color: #fff;
  text-align: right;
  padding: 10px;
  display: block;
  font-size: 40px;
  position: absolute;
  top: 0;
  right: 0;
}

/* Cuando está abierto en desktop */

html.video-open body,
html.video-open .navbar,
html.video-open .modal{
  margin-right: 500px;
}

html.video-open #video-panel {
  right: 0;
}


/* Mobile: ocupa toda la pantalla */
@media (max-width: 768px) {
  html.video-open {
    margin-right: 0; /* no empujamos contenido en mobile */
  }

  #video-panel {
    width: 100%;
    right: -100%; /* se esconde totalmente */
    padding: 80px 40px;
  }

  html.video-open #video-panel {
    right: 0;
  }
}

/* lo pongo aca porque por este estilo afecta a los modales */
/*
.modal{
	padding-right: 5%;
	padding-left:5%
}*/
.modal{
  padding:40px 40px;
}
.modal-close {
	position: absolute;
}

#video-panel video{
  height: 100%;
  width: 100%;
  object-fit: cover;
}